body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f4;
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: start;
    height: 100vh;
    box-sizing: border-box;
    padding: 20px;
}

.container {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    width: 100%;
    max-width: 600px;
    box-sizing: border-box;
    margin: 20px;
}

h2 {
    text-align: center;
    color: #333;
    margin-top: 0;
}

.error {
    color: #ff0000;
    margin-bottom: 10px;
    font-size: 0.9em;
}

.form-group {
    margin-bottom: 20px;
}

.form-group label {
    display: block;
    margin-bottom: 5px;
}

.form-group input[type="text"],
.form-group textarea {
    width: 100%;
    padding: 10px;
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.form-group input[type="radio"] {
    margin-right: 10px;
}

.answers {
    margin-bottom: 20px;
}

.answer {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.answer input[type="text"] {
    flex: 1;
}

.answer button {
    margin-left: 10px;
    padding: 10px;
    background-color: #dc3545;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.answer button:hover {
    background-color: #c82333;
}

.add-answer {
    display: block;
    width: 100%;
    padding: 10px;
    background-color: #28a745;
    color: white;
    text-align: center;
    text-decoration: none;
    border-radius: 4px;
    border: none;
    transition: background-color 0.3s;
    cursor: pointer;
}

.add-answer:hover {
    background-color: #218838;
}

.submit-btn {
    display: block;
    width: 100%;
    padding: 10px;
    background-color: #007BFF;
    color: white;
    text-align: center;
    text-decoration: none;
    border-radius: 4px;
    transition: background-color 0.3s;
    cursor: pointer;
    border: none;
    margin-top: 15px
}

.submit-btn:hover {
    background-color: #0056b3;
}
